package com.yunfeiyun.agmp.common.exception;

/**
 * 业务异常
 * 
 * @author 杨晓辉
 */
public final class SsoException extends RuntimeException
{
    private static final long serialVersionUID = 1L;

    /**
     * 错误码
     */
    private String code;

    /**
     * 错误提示
     */
    private String msg;
    /**
     * 错误码对应的参数
     */
    private Object data;

    /**
     * 空构造方法，避免反序列化问题
     */
    public SsoException()
    {
    }

    public SsoException( String code,String msg)
    {
        this.code = code;
        this.msg = msg;
    }

    public SsoException( String code,String msg,Object data)
    {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }


    public String getMsg()
    {
        return msg;
    }

    public String getCode()
    {
        return code;
    }


    public SsoException setMsg(String msg)
    {
        this.msg = msg;
        return this;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }


}